Entur Developer
Products

fare-products

Server

Retrieves all fare-products, filtered by given parameter(s)

GET
https://api.entur.io/products
/fare-products

Retrieves all fare-products, filtered by given parameter(s) › query Parameters

orgId
​string · style: form · explode: true

The unique id to identify a organisation

fareFrameId
​string · style: form · explode: true

The unique id to identify data owned by organisation

typeOfFareProductId
​string · style: form · explode: true

The unique id to identify the type of fare product

minimizeDataLoad
​boolean · style: form · explode: true
gpaDataSet
​string · style: form · explode: true

Deprecated: this parameter is ignored. Only E-variant GPAs are returned.

statusFilter
​string[] · style: form · explode: true

Filter by status. Allowed values: DRAFT, PROPOSED, VERSIONED, DEPRECATED, ALL. Defaults to ALL if not specified. Mutually exclusive with validOnDate.

validOnDate
​string · style: form · explode: true

Return the FareProducts valid on this date, example: 2024-06-01T00:00:00Z. Note that, if called in the production environment, only VERSIONED FareProducts are returned. And in the staging environment, PROPOSED FareProducts are preferred to VERSIONED ones. Mutually exclusive with statusFilter.

Retrieves all fare-products, filtered by given parameter(s) › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Accept-Language
​string · style: simple

The language code from ISO-639-3

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrieves all fare-products, filtered by given parameter(s) › Responses

Returns the info

A FARE PRODUCT response consisting of one or several VALIDABLE ELEMENTs, specific to a CHARGING MOMENT
​GenericParameterAssignment[] · required

AccessRightParameterAssignments.

​AccessRightInProduct[] · required

AccessRightsInProduct.

changed
​string · required

SalesPackage changed datetime.

created
​string · required

SalesPackage create datetime.

​VersionOfObjectRef · required

Fare frame ref.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: RUT:PreassignedFareProduct:RuterSingleTicket
modification
​string · enum · required

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
nameOfClass
​string · required

Name of class.

Example: PreassignedFareProduct
status
​string · enum · required

Status

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
​ValidityCondition[] · required

ValidityCondition.

activeComparisonOperatorVariant
​string

Deprecated: this parameter will be ignored.

Example: E
chargingMomentType
​string · enum

ChargingMomentType. Default value is BEFORE_TRAVEL.

Enum values:
BEFORE_TRAVEL
ON_START_OF_TRAVEL
BEFORE_END_OF_TRAVEL
ON_START_THEN_ADJUST_AT_END_OF_TRAVEL
ON_START_THEN_ADJUST_AT_END_OF_FARE_DAY
ON_START_THEN_ADJUST_AT_END_OF_CHARGE_PERIOD
AT_END_OF_TRAVEL
AT_END_OF_CHARGE_PERIOD
Example: BEFORE_TRAVEL
compatibleWithVersionRef
​string

CompatibleWithVersionRef

​ConditionSummary

A summary of a condition.

derivedFromVersionRef
​string

Derived from version.

​TextInLanguage[]

Description represented in different languages. Language codes are ISO-639.

fareStructureType
​string · enum

FareStructureType.

Enum values:
CAPPED_FLAT_FARE
CAPPED_POINT_TO_POINT_FARE
CAPPED_ZONAL_FARE
LINE_FLAT_FARE
NETWORK_FLAT_FARE
POINT_TO_POINT_FARE
POINT_TO_POINT_DISTANCE_FARE
STAGE_FARE
Example: ZONE_TO_ZONE_FARE
​VersionOfObjectRef[]

FareTableRef.

​VersionOfObjectRef

Fare frame ref.

​TextInLanguage[]

Name represented in different languages. Language codes are ISO-639.

operatorRef
​string

OperatorRef.

Example: RUT:Authority:RUT
organisation
​string

Organisation who own the product.

organisationId
​string

Organisation related to the fareProduct

privateCode
​string

PrivateCode.

​TypeOfFareProduct

A classification of FARE PRODUCTs.

version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z…

Version

Example: NSB:Version:V1

Did you find what you were looking for?